# FStructMotionCurve

This page describes the FStructMotionCurve struct that ships with Motion. The enumeration describes TBD.

### Members

| Name               | Description                                                                                    |
| ------------------ | ---------------------------------------------------------------------------------------------- |
| Identifier         | The Motion Curve Identifier for this Motion Curve.                                             |
| Configuration      | The Motion Curve Configuration for this Motion Curve.                                          |
| bIsReversing       | If true, the Curve is currently reversing.                                                     |
| bIsPaused          | If true, the curve is currently paused.                                                        |
| bIsTransitioning   | If true, the curve is currently transitioning                                                  |
| bIsTransitionCurve | If true, this curve was created as part of a transition and is currently used in a transition. |
| ActiveSeconds      | The amount of seconds this curve has been running.                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://motion.docs.regensturm.com/architecture/fstructmotioncurve.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
